%bcond_with bootstrap

Summary:        Maven File Management API
Name:           maven-file-management
Version:        3.0.0
Release:        5%{?dist}
License:        ASL 2.0
URL:            http://maven.apache.org/shared/file-management

Source0:        http://archive.apache.org/dist/maven/shared/file-management-%{version}-source-release.zip

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven.shared:maven-shared-components:pom:)
BuildRequires:  mvn(org.apache.maven.shared:maven-shared-io)
BuildRequires:  mvn(org.apache.maven.shared:maven-shared-utils)
BuildRequires:  mvn(org.codehaus.modello:modello-maven-plugin)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
%endif
BuildArch:      noarch

%description
Provides a component for plugins to easily resolve project dependencies.

%package javadoc
Summary:        Javadoc for %{name}
    
%description javadoc
API documentation for %{name}.

%prep
%autosetup -n file-management-%{version}

%build
%mvn_build -- -Dmaven.compiler.source=1.7 -Dmaven.compiler.target=1.7

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.0-5
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 21 2023 Xiaojie Chen <jackxjchen@tencent.com> - 3.0.0-4
- Disable bootstrap

* Tue Apr 18 2023 Xiaojie Chen <jackxjchen@tencent.com> - 3.0.0-3
- Rewritten spec for maven 3.8.6

* Mon Mar 27 2023 cunshunxia <cunshunxia@tencent.com> - 3.0.0-2
- bump release.

* Thu Mar 23 2023 cunshunxia <cunshunxia@tencent.com> - 3.0.0-1
- initial build
